> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetSecrets POST https://api.voximplant.com/platform_api/GetSecrets Gets the list of an application's secrets. **Example request:** Get secrets of application 1. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/secrets/get-secrets ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `application_id` (integer, optional) — Application ID. **Required** unless **application_name** is provided. - `application_name` (string, optional) — Application name. **Required** unless **application_id** is provided. - `secret_name_part` (string, optional) — Filter by the secret name part - `count` (integer, optional, default: 20) — Maximum returning record number - `offset` (integer, optional, default: 0) — First **N** records to be skipped in the output ## Response ### 200 Successful response - `result` (list of SecretListItem, optional) — Secrets list - `count` (integer, optional) — Returned secrets number - `total_count` (integer, optional) — Total found secrets number ## Types ### SecretListItem The [GetSecrets] function result list item - `secret_id` (integer, optional) — Secret ID - `secret_name` (string, optional) — Secret name - `description` (string, optional) — Secret description - `created` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. Secret creation timestamp - `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. Secret modification timestamp ## Examples **Request** ```json {} ``` **Response** ```json { "result": [ { "secret_id": 101, "secret_name": "apiKeyProd", "description": "Production API key for external integrations", "created": "2024-05-10 14:22:35", "modified": "2024-06-01 08:15:42" }, { "secret_id": 102, "secret_name": "dbPassword", "description": "Database password for application DB access", "created": "2024-04-20 11:05:12", "modified": "2024-05-15 16:30:00" } ], "count": 2, "total_count": 2 } ``` **SDK Code** ```python Success import requests url = "https://api.voximplant.com/platform_api/GetSecrets" querystring = {"application_id":"1"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api.voximplant.com/platform_api/GetSecrets?application_id=1'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetSecrets?application_id=1" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetSecrets?application_id=1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetSecrets?application_id=1") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Success request('POST', 'https://api.voximplant.com/platform_api/GetSecrets?application_id=1', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetSecrets?application_id=1"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetSecrets?application_id=1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```